CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

添加文本方法 (ActiveX)

2023-1-4 12:12| 发布者: admin| 查看: 622| 评论: 0|来自: AutoCAD

摘要: 创建单行文本。

创建单行文本。

支持的平台:仅窗口

签名

工 务 局:

RetVal = object.AddText(TextString, InsertionPoint, Height)
对象

类型:模型空间,图纸空间

此方法适用的对象。

文本字符串

访问:仅输入

类型:字符串

要显示的实际文本。

插入点

访问:仅输入

类型:变体(双精度的三元素数组)

放置文本的图形上的 3D WCS 坐标。

高度

访问:仅输入

类型:

文本的高度。必须是正数。

返回值(RetVal)

类型:文本

新创建的对象。Text

言论

没有额外的评论。

例子

工 务 局:

Sub Example_AddText()
    ' This example creates a text object in model space.

    Dim textObj As AcadText
    Dim textString As String
    Dim insertionPoint(0 To 2) As Double
    Dim height As Double
    
    ' Define the text object
    textString = "Hello, World."
    insertionPoint(0) = 2: insertionPoint(1) = 2: insertionPoint(2) = 0
    height = 0.5
    
    ' Create the text object in model space
    Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, height)
    ZoomAll
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AddText()
    ;; This example creates a text object in model space.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; Define the text object
    (setq insertionPoint (vlax-3d-point 2 2 0)  
          textString "Hello, World."
          height 0.5)
    
    ;; Create the text object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq textObj (vla-AddText modelSpace textString insertionPoint height))  
    (vla-ZoomAll acadObj)
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 09:47

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部